'use strict'

const { buildSchema, defaultTypeResolver, execute, parse } = require('graphql')

const schema = `
  type Query {
    node(id: ID!): Node
  }

  type Issue implements Node {
    author: Actor
    id: ID!
  }

  interface Actor {
    login: String!
  }

  interface Node {
    id: ID!
  }
`

schema = buildSchema(schema)

let doc = `
  query trialQuery {
    node(id: "MDU6SXNzdWUzOTg3OTg1MjE=") {
      id
      ... on Issue {
        author {
          login
        }
      }
    }
  }
`

doc = parse(doc)

function mockTypeResolver(value, ctx, info, abstractType) {
  console.log('-->');
  return defaultTypeResolver(value, ctx, info);
}


const rootValue = {
  node: {
    __typename: "Node", 
    id: "86"
  }
}

execute({
  schema,
  document: doc,
  variableValues: {},
  rootValue,
  typeResolver: mockTypeResolver
})
